> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apigene.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Interaction Detail

> Get detailed interaction data by ID.

This endpoint returns the full interaction data including request/response details.
Use this endpoint when you need to view the complete interaction information.

Parameters:
- interaction_id: Unique identifier of the interaction.
- current_user: Current user for authentication (required for admin role).

Returns:
- Full interaction data including request/response details.

Raises:
- HTTPException(404): If the interaction is not found.
- HTTPException(401): If the user is not authorized.



## OpenAPI

````yaml get /api/interaction/{interaction_id}
openapi: 3.1.0
info:
  title: Apigene
  description: Apigene API
  version: 1.0.0
  contact:
    name: Apigene Support
    url: https://app.apigene.ai
    email: support@apigene.ai
servers:
  - url: https://app.apigene.ai
security:
  - BearerAuth: []
paths:
  /api/interaction/{interaction_id}:
    get:
      tags:
        - Interaction
      summary: Get Interaction Detail
      description: >-
        Get detailed interaction data by ID.


        This endpoint returns the full interaction data including
        request/response details.

        Use this endpoint when you need to view the complete interaction
        information.


        Parameters:

        - interaction_id: Unique identifier of the interaction.

        - current_user: Current user for authentication (required for admin
        role).


        Returns:

        - Full interaction data including request/response details.


        Raises:

        - HTTPException(404): If the interaction is not found.

        - HTTPException(401): If the user is not authorized.
      operationId: get_interaction_detail
      parameters:
        - name: interaction_id
          in: path
          required: true
          schema:
            type: string
            title: Interaction Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Interaction'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerAuth: []
components:
  schemas:
    Interaction:
      properties:
        user_id:
          anyOf:
            - type: string
            - type: 'null'
          title: User Id
          default: N.A
        app_name:
          anyOf:
            - type: string
            - type: 'null'
          title: App Name
          default: N.A
        api_title:
          anyOf:
            - type: string
            - type: 'null'
          title: Api Title
          default: N.A
        api_name:
          type: string
          title: Api Name
        user_input:
          type: string
          title: User Input
        actions_result:
          items:
            $ref: '#/components/schemas/ActionResult'
          type: array
          title: Actions Result
        duration:
          type: number
          title: Duration
      additionalProperties: true
      type: object
      required:
        - api_name
        - user_input
        - actions_result
        - duration
      title: Interaction
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ActionResult:
      properties:
        action_name:
          type: string
          title: Action Name
          description: Name of the action.
          default: N/A
        status_code:
          type: integer
          title: Status Code
          description: The status code of the response.
          default: 555
        raw_data:
          anyOf:
            - {}
            - type: 'null'
          title: Raw Data
          description: Content of the request to relevant service.
        response_content:
          anyOf:
            - {}
            - type: 'null'
          title: Response Content
          description: Content of the response.
        context:
          anyOf:
            - {}
            - type: 'null'
          title: Context
          description: Addtional context information that is passed to the action
      type: object
      title: ActionResult
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        JWT Authorization header using the Bearer scheme. Example:
        'Authorization: Bearer {token}'

````